# List uploaded files, newest first.

Source: <https://everruns.com/docs/api/operations/list_files/>

GET

/v1/files

Select code samplecURL (shell:curl)

```js
const url = 'https://app.everruns.com/api/v1/files';
const options = {method: 'GET'};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```sh
curl --request GET \
  --url https://app.everruns.com/api/v1/files
```

* Production APIapp.everruns.com/api/v1/files

## Parameters

### Query Parameters

**limit**

integer | null format: int64

Maximum number of files to return.

## Responses

### 200

List files

Media typeapplication/json

Array\<object>

Stored file metadata (no binary data).

object

**content\_type**

required

MIME type of the stored file (currently always application/pdf).

string

**created\_at**

required

Upload timestamp.

string format: date-time

**filename**

Original filename supplied at upload, if known.

string | null

**id**

required

string

**metadata**

required

Caller-supplied metadata captured at upload.

object

**size\_bytes**

required

Size of the stored file in bytes.

integer format: int64

##### Example

```json
[
  {
    "content_type": "application/pdf",
    "created_at": "2026-01-04T11:23:00Z",
    "filename": "report.pdf",
    "id": "file_01933b5a00007000800000000000001",
    "size_bytes": 1048576
  }
]
```